Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v4.2
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    Collaboration Mode

    # Create Collaboration Mode

    # Request

    POST /openapi/collaborations
    
    1

    Body Parameters

    Parameter NameDescriptionTypeRequired
    project_keyProject identifierstringYes
    nameCollaboration mode namestringYes
    recycle_dayResource recycle days, 0 means no recycleintNo
    user_idsUser ID list[]stringNo
    group_idsUser group ID list[]stringNo
    workflowsWorkflow list[]CollaborationWorkflowNo
    envsEnvironment list[]CollaborationEnvNo

    CollaborationWorkflow Parameters

    Parameter NameDescriptionTypeRequired
    nameWorkflow identifierstringYes
    collaboration_typeCollaboration type, share or newstringYes
    verbsOperation permissions, get_workflow, edit_workflow, run_workflow, debug_workflow[]stringYes

    CollaborationEnv Parameters

    Parameter NameDescriptionTypeRequired
    nameEnvironment namestringYes
    collaboration_typeCollaboration type, share or newstringYes
    verbsOperation permissions, get_environment, config_environment, manage_environment, debug_pod[]stringYes

    Body Parameter Example

    Details
    {
        "envs": [
            {
                "collaboration_type": "share",
                "name": "dev",
                "verbs": [
                    "get_environment",
                    "config_environment",
                    "manage_environment",
                    "debug_pod"
                ]
            }
        ],
        "group_ids": [
            "f0035a8b-66a7-11f0-89e1-1631ef6b4739"
        ],
        "name": "api-test",
        "project_key": "multi-chart",
        "recycle_day": 0,
        "user_ids": [
            "00abf4dc-5c6d-11f0-8608-3abfaba6efff"
        ],
        "workflows": [
            {
                "collaboration_type": "share",
                "name": "multi-chart-ops-workflow",
                "verbs": [
                    "edit_workflow",
                    "run_workflow",
                    "debug_workflow"
                ]
            },
            {
                "collaboration_type": "new",
                "name": "test-ops",
                "verbs": [
                    "get_workflow",
                    "edit_workflow",
                    "run_workflow",
                    "debug_workflow"
                ]
            }
        ]
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44

    # Response

    {
        "message": "success"
    }
    
    1
    2
    3

    # Delete Collaboration Mode

    # Request

    DELETE /openapi/collaborations/<collaboration mode name>?projectKey=<project identifier>
    
    1

    # Response

    {
        "message": "success"
    }
    
    1
    2
    3

    ← SystemIDP Plugin Development Manual→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式